Bug 10187 - Missing talloc_free can leak stackframe in error path.
Missing talloc_free can leak stackframe in error path.
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 21:10 UTC by Jeremy Allison
Modified: 2013-10-15 07:06 UTC (History)
0 users

See Also:


Attachments
git-am fix for 4.1.0, 4.0.next. 3.6.next (1.08 KB, patch)
2013-10-09 17:17 UTC, Jeremy Allison
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2013-10-08 21:10:52 UTC
commit 973ef399e3b7853e68bf8d3d54700fd2c89a9611
Author: Andreas Schneider <asn@samba.org>
Date:   Mon Jun 21 11:14:12 2010 +0200

    s3-winbind: Use rpc_trusted_domains in msrpc.

adds a talloc_stackframe() to msrpc_trusted_domains() but does not free on all error paths.

Fix needed for 3.6.x, 4.0.x, 4.1.0 and master.

Patch to follow.

Jeremy.
Comment 1 Jeremy Allison 2013-10-09 17:17:01 UTC
Created attachment 9262 [details]
git-am fix for 4.1.0, 4.0.next. 3.6.next

Can be cherry-picked from master as:

git cherry-pick -x 0de6282e00e1052d8facf6bcad69f2b8fa547895

Jeremy.
Comment 2 David Disseldorp 2013-10-09 19:39:47 UTC
Comment on attachment 9262 [details]
git-am fix for 4.1.0, 4.0.next. 3.6.next

Nice catch Jeremy.
Comment 3 Jeremy Allison 2013-10-09 19:49:19 UTC
Re-assigning to Karolin for inclusion in 3.6.next, 4.0.next and 4.1.0.

Jeremy.
Comment 4 Karolin Seeger 2013-10-14 08:06:16 UTC
(In reply to comment #3)
> Re-assigning to Karolin for inclusion in 3.6.next, 4.0.next and 4.1.0.
> 
> Jeremy.

Pushed to autobuild-v4-1-test, autobuild-v4-0-test and v3-6-test.
Comment 5 Karolin Seeger 2013-10-15 07:06:29 UTC
Pushed to v4-1-test and v4-0-test.
Closing out bug report.

Thanks!